class Beep < KwircPlugin
	def initialize
		register("beep")
		print "Beep script loaded"
	end

	def beep(msg)
		fork do
			#`artsplay /usr/kde/3.1/share/sounds/KDE_Beep_Yo.wav`
			IO.popen('/usr/bin/osd_cat --pos=middle --align=center ' + 
				'-c Yellow --shadow=3' + 
				' --font="-adobe-courier-bold-r-normal--34-240-' +
				'100-100-m-200-iso8859-15"' , "w") do |f|
				f.write msg
			end
		end
	end

	def beep_on_highlight(yournick, message, chan, nick)
		if message.scan(yournick.to_s).size > 0
			if (chan)
				beep chan.to_s + ": <" + nick.to_s + "> " + message
			else
				beep "<" + nick.to_s + "> " + message
			end
		end
	end

	# this is executed when somebody (other than you) talks in a channel:
	def public(chan, nick, message)
		beep_on_highlight(chan.server.your_nick, message, chan, nick)
	end

	# this is executed when somebody (other than you) talks in a query:
	def private(nick, message)
		beep_on_highlight(nick.server.your_nick, message, nil, nick)
	end
end
t = Beep.new
